<template>
    <div class="btn-video">
        <button
            :data-target="`#videoButton`"
            class="btn blue-btn"
            data-toggle="modal"
        >
            <i class="fa fa-play-circle my-icon" />
            Help video
        </button>
        <div
            id="videoButton"
            class="modal fade bd-example-modal-lg"
            tabindex="-1"
            role="dialog"
            aria-labelledby="exampleModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <button
                            type="button"
                            class="close"
                            data-dismiss="modal"
                            aria-label="Close"
                        >
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">
                            <iframe
                                class="embed-responsive-item"
                                :src="source"
                                allowfullscreen
                            />
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button
                            type="button"
                            class="btn btn-primary"
                            data-dismiss="modal"
                        >
                            Close
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "VideoButton",
    props: {
        source: {
            type: String,
            default: () => ''
        }
    }
}
</script>

<style scoped lang="scss">

.my-icon {
    color: rgb(22, 92, 207);
    margin-right: 8px;
    font-size: 17px;
}

.blue-btn {
    width: 100%;
    padding: 13px 20px;
    min-width: 164px;
    height: 48px;
}
</style>
